{
  "schema_version": "1.4.0",
  "id": "GHSA-fp2w-w5rc-8fxj",
  "modified": "2024-04-04T00:49:06Z",
  "published": "2022-05-24T16:46:47Z",
  "aliases": [
    "CVE-2019-5435"
  ],
  "details": "An integer overflow in curl's URL API results in a buffer overflow in libcurl 7.62.0 to and including 7.64.1.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2019-5435"
    },
    {
      "type": "WEB",
      "url": "https://curl.haxx.se/docs/CVE-2019-5435.html"
    },
    {
      "type": "WEB",
      "url": "https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/SMG3V4VTX2SE3EW3HQTN3DDLQBTORQC2"
    },
    {
      "type": "WEB",
      "url": "https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/SMG3V4VTX2SE3EW3HQTN3DDLQBTORQC2"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/202003-29"
    },
    {
      "type": "WEB",
      "url": "https://security.netapp.com/advisory/ntap-20190606-0004"
    },
    {
      "type": "WEB",
      "url": "https://support.f5.com/csp/article/K08125515"
    },
    {
      "type": "WEB",
      "url": "https://www.oracle.com/security-alerts/cpuapr2020.html"
    },
    {
      "type": "WEB",
      "url": "https://www.oracle.com/security-alerts/cpuoct2020.html"
    },
    {
      "type": "WEB",
      "url": "https://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-131",
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2019-05-28T19:29:00Z"
  }
}